# Generated by Django 3.1.2 on 2021-08-27 13:52

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('reviews', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Order',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('first_name', models.CharField(max_length=100, verbose_name='Фамилия')),
                ('last_name', models.CharField(max_length=100, verbose_name='Имя')),
                ('order_email', models.CharField(max_length=100, verbose_name='Почта для заказа')),
                ('address', models.CharField(max_length=100, verbose_name='Адрес')),
                ('zipcode', models.CharField(max_length=100, verbose_name='Индекс')),
                ('phone', models.CharField(max_length=100, verbose_name='Телефон')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='Дата создания заказа')),
                ('paid_amount', models.PositiveIntegerField(blank=True, null=True, verbose_name='Стоимость заказа')),
                ('stripe_token', models.CharField(max_length=100, verbose_name='Токен Страйп')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='orders', to=settings.AUTH_USER_MODEL, verbose_name='Пользователь')),
            ],
            options={
                'verbose_name': 'Заказ',
                'verbose_name_plural': 'Заказы',
                'ordering': ['-created_at'],
            },
        ),
        migrations.CreateModel(
            name='OrderService',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('price', models.PositiveIntegerField(verbose_name='Цена')),
                ('order', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='shop.order', verbose_name='Заказ')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='items', to='reviews.service', verbose_name='Услуга')),
            ],
            options={
                'verbose_name': 'Услуга для заказа',
                'verbose_name_plural': 'Услуги для заказов',
            },
        ),
    ]
